@import url("https://fonts.googleapis.com/css2?family=Rubik:wght@400;500;700&display=swap");

:root {
  --clr-primary-1: hsl(293, 100%, 63%);
  --clr-primary-2: hsl(264, 100%, 61%);

  --clr-neutral-5: hsl(270, 20%, 96%);
  --clr-neutral-6: hsl(271, 36%, 24%);
  --clr-neutral-7: hsl(289, 100%, 72%);
  --clr-neutral-8: hsl(0, 0%, 100%);

  --ff-primary: "Rubik", sans-serif;
  --spacing: 0.1rem;
  --radius: 0.75rem;
  --transition: all 0.03s linear;
  --line-height: 1.25;
}

html {
  font-size: 16px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-size: 1rem;
  font-family: var(--ff-primary);
  line-height: var(--line-height);
  background: var(--clr-neutral-5);
}

.container {
  min-height: 100vh;
  width: 100%;
}

img {
  width: 100%;
  display: block;
  object-fit: cover;
}

.wrapper {
  max-width: 1170px;
  width: 95vw;
  position: relative;
  /* border: 1px solid red; */
}

.linear-gradient-background {
  width: 12rem;
  height: 31rem;
  border-bottom-right-radius: 20rem;
  background: linear-gradient(
    to bottom,
    var(--clr-primary-1),
    var(--clr-primary-2)
  );
  position: absolute;
  top: 0;
  z-index: -1;
}
.preview_app {
  padding: 1rem 1rem;
  width: 18rem;
  margin: 0 auto;
  border-radius: 1.75rem;
  background: aliceblue;
  position: relative;
  top: 4rem;
  box-shadow: 0 20px 25px -5px rgb(0 0 0 / 0.1),
    0 8px 10px -6px rgb(0 0 0 / 0.1);
}

/* 
======================
Chat Name Container
======================
*/
.chat_name_container {
  /* border: 1px solid red; */
  background: linear-gradient(
    to right,
    var(--clr-primary-2),
    var(--clr-primary-1)
  );

  border-bottom-right-radius: var(--radius);
  border-bottom-left-radius: var(--radius);
  border-top-left-radius: 1.5rem;
  border-top-right-radius: 1.5rem;
  position: relative;
}

.white_background {
  width: 9rem;
  height: 2rem;
  margin: 0 auto;
  border-bottom-left-radius: 0.95rem;
  border-bottom-right-radius: 0.95rem;
  border-top-right-radius: 1rem;
  border-top-left-radius: 1rem;
  position: relative;
  top: -0.7rem;
  /* border: 1px solid black; */

  background: aliceblue;
}
.name_container {
  display: flex;
  padding: 0.875rem 1rem;
  /* border: 1px solid black; */
}

.profile_name {
  /* border: 1px solid blue; */
  display: flex;
  width: 100%;
  gap: 0.5rem;
  align-items: center;
}

.profile_name > p {
  color: var(--clr-neutral-8);
  font-weight: 700;
}

.chat_name {
  display: grid;
  align-items: center;
}

.chat_name h2 {
  text-transform: capitalize;
  font-size: 0.8rem;
  color: var(--clr-neutral-8);
  font-weight: 500;
}

.chat_name p {
  font-size: 0.6rem;
  color: var(--clr-neutral-8);
  opacity: 0.4;
}
.avatar {
  height: 2rem;
  width: 2rem;
  border: 1px solid white;
  border-radius: 50%;
}

.avatar img {
  border-radius: 50%;
}

.setting_icon {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 1px;
}

.setting_icon > div {
  width: 3px;
  height: 4px;
  background: var(--clr-neutral-8);
  border-radius: 50%;
  opacity: 0.5;
}

/* 
==============
First Chats
==============
*/

.user_chat {
  background: var(--clr-neutral-5);
  padding: 0.7rem 0.5rem;
  border-radius: 1rem;
  display: grid;
  gap: 0.7rem;
}

.chat_1 {
  display: flex;
  flex-direction: column;
  gap: 0.3rem;
}
.chat_1 div {
  padding: 0.3rem 0.3rem;
  width: 10rem;
  background: hsl(276, 100%, 81%);
  border-radius: 0.6rem;
  padding: 0.3rem 0.7rem;
  text-align: left;
}

.chat_1_1 p,
.chat_1_2 p {
  color: var(--clr-neutral-8);
  font-weight: 400;
  font-size: 0.6rem;
}

/* 
===============
2nd Chat
===============
*/
.dog_container {
  display: flex;
  width: 100%;
  gap: 0.6rem;
}

.dog_container img {
  width: 2.7rem;
  height: 2.7rem;
  border-radius: 0.875rem;
}

.chat_2 {
  display: flex;
  flex-direction: column;
  gap: 0.3rem;
}
.chat_2 div:not(.dog_container, .chat_2_2) {
  padding: 0.3rem 0.3rem;
  width: 10rem;
  background: var(--clr-neutral-8);
  border-radius: 0.6rem;
  padding: 0.3rem 0.7rem;
  text-align: left;
}

.chat_2_2 {
  padding: 0.3rem 0.3rem;
  width: 6.25rem;
  background: var(--clr-neutral-8);
  border-radius: 0.6rem;
  padding: 0.3rem 0.7rem;
  text-align: left;
  align-self: flex-end;
}

.chat_2_1 p,
.chat_2_2 p {
  color: var(--clr-neutral-6);
  font-weight: 400;
  font-size: 0.6rem;
}

.chat_2 {
  justify-self: flex-end;
}

/* 
==============
3rd Chat
==============
*/

.chat_3 {
  display: grid;
  gap: 0.3rem;
}

.chat_3 {
  /* border: 1px solid red; */
  width: 100%;
  align-items: flex-start;
}
.chat_3_1 {
  background: hsl(276, 100%, 81%);
  width: 8.75rem;
  border-radius: 0.4rem;
  padding: 0.3rem 2rem;
  text-align: left;
  padding: 0.3rem 0.3rem;
}

.chat_3_1 p {
  color: var(--clr-neutral-8);
  font-weight: 400;
  font-size: 0.6rem;
}

.choice {
  background: linear-gradient(
    to right,
    var(--clr-primary-1),
    var(--clr-primary-2)
  );
  width: 11rem;
  display: flex;
  padding: 0.5rem 0.3rem;
  justify-content: space-between;
  padding-right: 1rem;
  border-top-left-radius: 0.5rem;
  border-top-right-radius: 0.5rem;
  border-bottom-right-radius: 0.5rem;
  border-bottom-left-radius: 0.3rem;
}

.user_choice {
  display: flex;
  align-items: center;
  justify-content: center;
  /* border: 1px solid red; */
  gap: 0.5rem;
}

.pick_circle {
  width: 0.875rem;
  height: 0.875rem;
  background: transparent;
  border: 1px solid var(--clr-neutral-5);
  border-radius: 50%;
  opacity: 0.4;
}
.user_choice p {
  font-weight: 400;
  font-size: 0.5rem;
  color: var(--clr-neutral-8);
  opacity: 0.6;
}

.price {
  font-size: 0.875rem;
  color: var(--clr-neutral-8);
}

/* 
==============
Sent Message
==============
*/

.sent_message_container {
  background: var(--clr-neutral-8);
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 2rem;
  padding-left: 0.875rem;
  border-radius: 1rem;
  padding-right: 0.2rem;
}

.sent_message_container p {
  font-size: 0.8rem;
  color: hsl(206, 6%, 79%);
}

.sent_button p {
  color: white;
  font-weight: 700;
  font-size: 0.875rem;
}

.sent_message_container .sent_button {
  height: 1.5rem;
  width: 1.5rem;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--clr-neutral-6);
}

/* 
=============
App Info
=============
*/

.app_info {
  margin-top: 7rem;
  text-align: center;
}

.app_info h1 {
  font-weight: 500;
  color: var(--clr-neutral-6);
  font-size: 2.25rem;
  margin-bottom: 1rem;
}

.app_info p {
  font-weight: 400;
  font-size: 0.875rem;
  color: hsl(270, 7%, 64%);

  margin: 0 auto;
  margin-bottom: 5rem;
  width: 17rem;
}

.linear-gradient-opacity-background {
  display: none;
}

@media screen and (min-width: 1170px) {
  .linear-gradient-background {
    top: -50%;
    left: -40%;
    width: 35rem;
    height: 62rem;

    border-bottom-right-radius: 30rem;
    border-bottom-left-radius: 20rem;
  }

  body {
    overflow: hidden;
  }
  .container {
    /* min-height: 0; */
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .wrapper {
    margin: auto;
    display: flex;
    align-items: center;
    gap: 10rem;
  }

  .preview_app {
    top: 0;
    margin: 0;
    width: 20rem;
  }
  .user_chat {
    height: 32rem;
  }

  .chat_1 {
    gap: 0.4rem;
  }
  .chat_1 div {
    width: 12rem;
    text-align: left;
  }
  .chat_1_1 p,
  .chat_1_2 p {
    font-size: 0.78rem;
  }

  .dog_container {
    justify-content: end;
    gap: 0.5rem;
  }

  .dog_container img {
    width: 3rem;
    height: 3rem;
    border-radius: 0.875rem;
  }

  .chat_2 {
    gap: 0.4rem;
  }

  .chat_2_2 {
    width: 8rem;
  }

  .chat_2_1 p,
  .chat_2_2 p {
    text-align: left;
    font-size: 0.78rem;
  }

  .chat_3 {
    display: grid;
    gap: 0.4rem;
  }

  .chat_3_1 {
    width: 12rem;
  }
  .chat_3_1 p {
    text-align: left;
    font-size: 0.78rem;
  }

  .choice {
    width: 14rem;
    padding: 1rem 1rem;
    border-top-left-radius: 0.75rem;
    border-top-right-radius: 0.75rem;
    border-bottom-right-radius: 0.75rem;
  }

  .pick_circle {
    width: 1.25rem;
    height: 1.25rem;
    border: 1px solid var(--clr-neutral-5);
  }

  .user_choice p {
    font-size: 0.75rem;
  }

  .price {
    font-size: 1.25rem;
  }

  .sent_message_container {
    height: 3rem;
  }

  .sent_message_container .sent_button {
    width: 2.5rem;
    height: 2.5rem;
  }

  .sent_button p {
    font-size: 1.5rem;
  }

  .app_info {
    margin: 0 0;
    width: 35rem;
  }

  .app_info h1 {
    text-align: left;
    font-size: 3rem;
  }

  .app_info p {
    font-size: 1rem;
    line-height: 2;
    width: 28rem;
    text-align: left;
    margin: 0 0;
  }

  .linear-gradient-opacity-background {
    background: linear-gradient(
      to bottom,
      var(--clr-primary-1),
      var(--clr-primary-2)
    );
    position: absolute;
    width: 50rem;
    height: 50rem;
    opacity: 0.9;
    right: -30rem;
    bottom: -10rem;
    display: block;
    opacity: 0.1;
    border-top-right-radius: 60rem;
    border-top-left-radius: 60rem;
  }
}
